Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class VMGenInfo

`java.lang.Object
oracle.ovs.api.datamodel.resource.VMGenInfo`

All Implemented Interfaces:
  java.io.Serializable

      public class VMGenInfo

extends java.lang.Object
implements java.io.Serializable

virtual machine information for virtual machine or virtual machine template

See Also:
  Serialized Form

Constructor Summary
`VMGenInfo()`

Method Summary
`java.lang.String` | `getBootDevice()`
`java.lang.String` | `getComments()`
`java.lang.String` | `getDownloadURL()`
`java.lang.Boolean` | `getHaEnabled()`
`ImportTypes` | `getImportType()`
`java.lang.Long` | `getMaxMemory()`
`java.lang.Long` | `getMemory()`
`java.lang.String` | `getOsType()`
`java.lang.String` | `getProxyURL()`
`java.lang.Boolean` | `getPvDriverInstalled()`
`java.lang.Long` | `getVcpus()`
`java.lang.String` | `getVirtualType()`
`java.lang.String` | `getVmPassword()`
`java.lang.String` | `getVmUsername()`
`java.lang.String` | `getVncPassword()`
`java.lang.Integer` | `getVncPort()`
`void` | `setBootDevice(java.lang.String bootDevice)`
`void` | `setComments(java.lang.String comments)`
`void` | `setDownloadURL(java.lang.String downloadURL)`
`void` | `setHaEnabled(java.lang.Boolean haEnabled)`
`void` | `setImportType(ImportTypes importType)`
`void` | `setMaxMemory(java.lang.Long maxMemory)`
`void` | `setMemory(java.lang.Long memory)`
`void` | `setOsType(java.lang.String osType)`
`void` | `setProxyURL(java.lang.String proxyURL)`
`void` | `setPvDriverInstalled(java.lang.Boolean pvDriverInstalled)`
`void` | `setVcpus(java.lang.Long vcpus)`
`void` | `setVirtualType(java.lang.String virtualType)`
`void` | `setVmPassword(java.lang.String vmPassword)`
`void` | `setVmUsername(java.lang.String vmUsername)`
`void` | `setVncPassword(java.lang.String vncPassword)`
`void` | `setVncPort(java.lang.Integer vncPort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMGenInfo

    public VMGenInfo()

Method Detail

### getVcpus

    public java.lang.Long getVcpus()

### setVcpus

    public void setVcpus(java.lang.Long vcpus)

### getVncPort

    public java.lang.Integer getVncPort()

### setVncPort

    public void setVncPort(java.lang.Integer vncPort)

### getComments

    public java.lang.String getComments()

### setComments

    public void setComments(java.lang.String comments)

### getOsType

    public java.lang.String getOsType()

### setOsType

    public void setOsType(java.lang.String osType)

### getMemory

    public java.lang.Long getMemory()

### setMemory

    public void setMemory(java.lang.Long memory)

### getMaxMemory

    public java.lang.Long getMaxMemory()

### setMaxMemory

    public void setMaxMemory(java.lang.Long maxMemory)

### getVirtualType

    public java.lang.String getVirtualType()

### setVirtualType

    public void setVirtualType(java.lang.String virtualType)

### getHaEnabled

    public java.lang.Boolean getHaEnabled()

### setHaEnabled

    public void setHaEnabled(java.lang.Boolean haEnabled)

### getPvDriverInstalled

    public java.lang.Boolean getPvDriverInstalled()

### setPvDriverInstalled

    public void setPvDriverInstalled(java.lang.Boolean pvDriverInstalled)

### getBootDevice

    public java.lang.String getBootDevice()

### setBootDevice

    public void setBootDevice(java.lang.String bootDevice)

### getImportType

    public ImportTypes getImportType()

### setImportType

    public void setImportType(ImportTypes importType)

### getProxyURL

    public java.lang.String getProxyURL()

### setProxyURL

    public void setProxyURL(java.lang.String proxyURL)

### getDownloadURL

    public java.lang.String getDownloadURL()

### setDownloadURL

    public void setDownloadURL(java.lang.String downloadURL)

### getVmUsername

    public java.lang.String getVmUsername()

### setVmUsername

    public void setVmUsername(java.lang.String vmUsername)

### getVmPassword

    public java.lang.String getVmPassword()

### setVmPassword

    public void setVmPassword(java.lang.String vmPassword)

### getVncPassword

    public java.lang.String getVncPassword()

### setVncPassword

    public void setVncPassword(java.lang.String vncPassword)

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.